Package com.collabnet.ce.soap60.webservices.frs

# Class ReleaseSoapRow

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow
com.collabnet.ce.soap60.webservices.frs.ReleaseSoapRow

public class ReleaseSoapRow extends FolderSoapRow
A release list is represented by the ReleaseSoapList class. Each row within the release list is represented by the ReleaseSoapRow class.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseSoapRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMaturity()`
  Returns 'maturity'.
  `String`
  `getStatus()`
  Returns 'status'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setMaturity(String maturity)`
  Sets 'maturity'.
  `void`
  `setStatus(String status)`
  Sets 'status'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapRow

  `getCreatedBy, getCreatedOn, getDescription, getId, getLastModifiedBy, getLastModifiedOn, getParentFolderId, getPath, getProjectId, getTitle, setCreatedBy, setCreatedOn, setDescription, setId, setLastModifiedBy, setLastModifiedOn, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReleaseSoapRow

    public ReleaseSoapRow()

- ## Method Details

  - ### getStatus

    public String getStatus()
    Returns 'status'. Release status:
    Returns:
      Value of 'status'.

  - ### setStatus

    public void setStatus(String status)
    Sets 'status'. Release status:
    Parameters:
      `status` - Value of 'status'.

  - ### getMaturity

    public String getMaturity()
    Returns 'maturity'. Release maturity (customizable field).
    Returns:
      Value of 'maturity'.

  - ### setMaturity

    public void setMaturity(String maturity)
    Sets 'maturity'. Release maturity (customizable field).
    Parameters:
      `maturity` - Value of 'maturity'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)